package com.gic.haoban.manage.service.entity.fee;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业微信收费订单账号(激活码)(TabHaobanQywxFeeOrderAccount)实体类
 *
 * @author mozhu
 * @since 2022-08-03 16:12:33
 */
public class TabHaobanQywxFeeOrderAccount implements Serializable {
    private static final long serialVersionUID = 868383484183982731L;

    private Long feeAccountId;

    private String orderId;

    private String corpId;

    private String wxEnterpriseId;
    /**
     * 用户id
     */
    private String wxUserId;
    /**
     * 帐号码
     */
    private String activeCode;
    /**
     * 帐号类型：1:基础帐号，2:互通帐号
     */
    private Integer accountType;
    /**
     * 帐号状态：1:未绑定，2:已绑定且有效，3:已过期，4:待转移，5:已合并
     */
    private Integer status;
    /**
     * 过期时间
     */
    private Date expireTime;
    /**
     * 激活时间
     */
    private Date activeTime;


    public Long getFeeAccountId() {
        return feeAccountId;
    }

    public void setFeeAccountId(Long feeAccountId) {
        this.feeAccountId = feeAccountId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getActiveCode() {
        return activeCode;
    }

    public void setActiveCode(String activeCode) {
        this.activeCode = activeCode;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Date getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Date activeTime) {
        this.activeTime = activeTime;
    }

}

